//
//  ServiceHomeTopCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/10/9.
//

import UIKit

class ServiceHomeTopCell: UITableViewCell {
    @IBOutlet weak var lab_tips: UILabel!
    @IBOutlet weak var btn_service: UIButton!
    
    @IBOutlet weak var lab_service: UILabel!
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
        lab_tips.cd.text("Hi~，有什么可以帮您!".languageString())
        lab_service.cd.text("咨询客服".languageString())
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    @IBAction func clickButton(_ sender: UIButton) {
        callBack?(sender.tag)
    }
}
extension ServiceHomeTopCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = Any
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
    }
    
    func row_update(config data: ConfigModel) {
    }
    
    func row_update(callBack block: TCRowCallBack?) {
        self.callBack = block
    }
}
